QGIS Application - Bug report #10880
multiple grid: the coordinate (left, right, top, bottom) position controls always applied to first
2014-07-11 07:20 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19248
Description

I'm flagging this as a blocker as it's a fundamental issue to this (cool!) new feature. Basically, the coordinate position controls (inside /
outside frame, vertical / horizontal) are always applied to the first grid when changed, even though your editing a second grid.
Steps to reproduce:

1. Open an existing project

2. Create a new composer, and add a map item onto it

3. In the grid settings add two grids ('Grid 1' and 'Grid 2')

4. Select 'Grid 1', and set it so a few vertical and horizontal lines appear, [x] check draw coordinates, and change the font color to red

5. Select 'Grid 2', and also set it so a few vertical and horizontal lines appear (preferably not using the exact same settings as 'Grid 1'),
[x] check draw coordinates, and change the font color to green

6. While your still in the 'Grid 2' settings, start to change the coordinate position settings, for e.g. make left coordinate draw inside the
frame. You'll notice that while the green coordinates of 'Grid 2' should move inside frame, it's actually the red coordinates of 'Grid 1' that
does so

This issue makes it impossible to tweak the coordinate positions of any grid beyond the first grid.

Associated revisions

Revision ae84a074 - 2014-07-13 02:10 AM - Nyall Dawson

[composer] Fix annotation settings only being applied to first grid in list, not selected grid (fix #10880)

History

#1 - 2014-07-12 05:20 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"ae84a0740399ea7b0e6baab8d2dce86f8b0a8ead".

#2 - 2014-07-17 04:16 AM - Giovanni Manghi
- Resolution set to fixed/implemented
